<?php

use Spatie\LaravelSettings\Migrations\SettingsMigration;

return new class extends SettingsMigration
{
    public function up(): void
    {
        $this->migrator->add('general.prix_khw_en_dh', '150'); // 1,50 DH
        $this->migrator->add('general.double_orientation_description', 'celle ci est une description de la double orientation'); // 1,50 DH
        $this->migrator->add('general.double_orientation_first', 'est'); // 1,50 DH
        $this->migrator->add('general.double_orientation_second', 'ouest'); // 1,50 DH
        $this->migrator->add('general.maximum_consommation_kwh', '15000'); // 1,50 DH
        $this->migrator->add('general.address_reception_des_demandes', '');
    }

    public function down(): void
    {
        $this->migrator->delete('general.prix_khw_en_dh');
        $this->migrator->delete('general.double_orientation_description');
        $this->migrator->delete('general.double_orientation_first');
        $this->migrator->delete('general.double_orientation_second');
        $this->migrator->delete('general.maximum_consommation_kwh');
        $this->migrator->delete('general.address_reception_des_demandes');
    }
};
